﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyDataModels.Models;

namespace TourCompanyContracts.BindingModels
{
    public class ExecurtionBindingModel
    {
        public int Id { get; set; }

        public string Purpose { get; set; } = string.Empty;

        public DateTime Date { get; set; }

        public int GidId { get; set; }

        public int UserId { get; set; }

        public string TourName { get; set; } = string.Empty;

        public Dictionary<int, (ITourModel, decimal)> ExecurtionTours { get; set; } = new();
    }
}
