﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyContracts.BindingModels;
using TourCompanyContracts.SearchModels;
using TourCompanyContracts.ViewModels;

namespace TourCompanyContracts.BusinessLogicsContracts
{
    public interface IGidLogic
    {
        List<GidViewModel>? ReadList(GidSearchModel? model);
        GidViewModel? ReadElement(GidSearchModel model);
        bool Create(GidBindingModel model);
        bool Update(GidBindingModel model);
        bool Delete(GidBindingModel model);
    }
}
