﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyContracts.BindingModels;
using TourCompanyContracts.SearchModels;
using TourCompanyContracts.ViewModels;

namespace TourCompanyContracts.BusinessLogicsContracts
{
    public interface IPlaceVisitLogic
    {
        List<PlaceVisitViewModel>? ReadList(PlaceVisitSearchModel? model);
        PlaceVisitViewModel? ReadElement(PlaceVisitSearchModel model);
        bool Create(PlaceVisitBindingModel model);
        bool Update(PlaceVisitBindingModel model);
        bool Delete(PlaceVisitBindingModel model);
    }
}
