﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyContracts.BindingModels;
using TourCompanyContracts.SearchModels;
using TourCompanyContracts.ViewModels;

namespace TourCompanyContracts.StoragesContracts
{
    public interface ITourStorage
    {
        List<TourViewModel> GetFullList();
        List<TourViewModel> GetFilteredList(TourSearchModel model);
        TourViewModel? GetElement(TourSearchModel model);
        TourViewModel? Insert(TourBindingModel model);
        TourViewModel? Update(TourBindingModel model);
        TourViewModel? Delete(TourBindingModel model);
    }
}
