﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyDataModels.Models;

namespace TourCompanyContracts.ViewModels
{
    public class PlaceVisitViewModel
    {
        public int Id { get; set; }

        public string PlaceVisitName { get; set; } = string.Empty;

        public DateTime Date { get; set; }

        public int TourGroupId { get; set; }

        public int UserId { get; set; }

        // Dictionary<ID, (Название, Цена)>
        public Dictionary<int, (ITripModel, decimal)> PlaceVisitTrips { get; set; } = new();
    }
}
