﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;

namespace TourCompanyDataModels.Models
{
    public interface IExecurtionModel : IId
    {
        public string Purpose { get;}

        public DateTime Date { get; }

        public int Duration { get; }

        public int GidId { get; }

        public int UserId { get; }

        public string TourName { get; }

        public Dictionary<int, (ITourModel, decimal)> Tours { get; }
    }
}
