﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;

namespace TourCompanyDataModels.Models
{
    public interface IPlaceVisitModel : IId
    {
        public string PlaceVisitName { get; }

        public DateTime Date { get;}

        public int TourGroupId { get; }

        public int UserId { get; }

        public Dictionary<int, (ITripModel, decimal)> Trips { get; }
    }
}
