﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;

namespace TourCompanyDataModels.Models
{
    public interface ITripModel : IId
    {
        public string TripName { get; }

        public decimal Price { get;  }

        public DateTime Date { get; }

        public int UserId { get; }
        public Dictionary<int, (IPlaceVisitModel, int)> TripPlaceVisits{ get; }
    }
}
