﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyDataModels.Models;

namespace TourCompanyContracts.BindingModels
{
    public class TripBindingModel
    {
        public int Id { get; set; }

        public string TripName { get; set; } = string.Empty;

        public decimal Price { get; set; }

        public DateTime Date { get; set; }

        public int UserId { get; set; }
        public Dictionary<int, (IPlaceVisitModel, int)> TripPlaceVisits
        {
            get;
            set;
        } = new();
    }
}
