﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyContracts.BindingModels;
using TourCompanyContracts.SearchModels;
using TourCompanyContracts.ViewModels;

namespace TourCompanyContracts.BusinessLogicsContracts
{
    public interface IExecurtionLogic
    {
        List<ExecurtionViewModel>? ReadList(ExecurtionSearchModel? model);
        ExecurtionViewModel? ReadElement(ExecurtionSearchModel model);
        bool Create(ExecurtionBindingModel model);
        bool Update(ExecurtionBindingModel model);
        bool Delete(ExecurtionBindingModel model);
    }
}
