﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyContracts.BindingModels;
using TourCompanyContracts.SearchModels;
using TourCompanyContracts.ViewModels;

namespace TourCompanyContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {

        List<ReportViewModel> GetTour(ReportBindingModel model);

        void SavePlaceVisitsToWordFile(ReportBindingModel model);

        void SavePlaceVisitToExcelFile(ReportBindingModel model);

        void SaveTourToPdfFile(ReportBindingModel model);
    }
}
