﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyContracts.BindingModels;
using TourCompanyContracts.SearchModels;
using TourCompanyContracts.ViewModels;

namespace TourCompanyContracts.BusinessLogicsContracts
{
    public interface ITourGroupLogic
    {
        List<TourGroupViewModel>? ReadList(TourGroupSearchModel? model);
        TourGroupViewModel? ReadElement(TourGroupSearchModel model);
        bool Create(TourGroupBindingModel model);
        bool Update(TourGroupBindingModel model);
        bool Delete(TourGroupBindingModel model);
    }
}
