﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyContracts.BindingModels;
using TourCompanyContracts.SearchModels;
using TourCompanyContracts.ViewModels;

namespace TourCompanyContracts.BusinessLogicsContracts
{
    public interface ITourLogic
    {
        List<TourViewModel>? ReadList(TourSearchModel? model);
        TourViewModel? ReadElement(TourSearchModel model);
        bool Create(TourBindingModel model);
        bool Update(TourBindingModel model);
        bool Delete(TourBindingModel model);
    }
}
