﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyContracts.BindingModels;
using TourCompanyContracts.SearchModels;
using TourCompanyContracts.ViewModels;

namespace TourCompanyContracts.BusinessLogicsContracts
{
    public interface ITripLogic
    {
        List<TripViewModel>? ReadList(TripSearchModel? model);
        TripViewModel? ReadElement(TripSearchModel model);
        bool Create(TripBindingModel model);
        bool Update(TripBindingModel model);
        bool Delete(TripBindingModel model);
    }
}
