﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyContracts.BindingModels;
using TourCompanyContracts.SearchModels;
using TourCompanyContracts.ViewModels;

namespace TourCompanyContracts.StoragesContracts
{
    public interface IExecurtionStorage
    {
        List<ExecurtionViewModel> GetFullList();
        List<ExecurtionViewModel> GetFilteredList(ExecurtionSearchModel model);
        ExecurtionViewModel? GetElement(ExecurtionSearchModel model);
        ExecurtionViewModel? Insert(ExecurtionBindingModel model);
        ExecurtionViewModel? Update(ExecurtionBindingModel model);
        ExecurtionViewModel? Delete(ExecurtionBindingModel model);
    }
}
