﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyContracts.BindingModels;
using TourCompanyContracts.SearchModels;
using TourCompanyContracts.ViewModels;

namespace TourCompanyContracts.StoragesContracts
{
    public interface IGidStorage
    {
        List<GidViewModel> GetFullList();
        List<GidViewModel> GetFilteredList(GidSearchModel model);
        GidViewModel? GetElement(GidSearchModel model);
        GidViewModel? Insert(GidBindingModel model);
        GidViewModel? Update(GidBindingModel model);
        GidViewModel? Delete(GidBindingModel model);
    }
}
