﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyContracts.BindingModels;
using TourCompanyContracts.SearchModels;
using TourCompanyContracts.ViewModels;

namespace TourCompanyContracts.StoragesContracts
{
    public interface IPlaceVisitStorage
    {
        List<PlaceVisitViewModel> GetFullList();
        List<PlaceVisitViewModel> GetFilteredList(PlaceVisitSearchModel model);
        PlaceVisitViewModel? GetElement(PlaceVisitSearchModel model);
        PlaceVisitViewModel? Insert(PlaceVisitBindingModel model);
        PlaceVisitViewModel? Update(PlaceVisitBindingModel model);
        PlaceVisitViewModel? Delete(PlaceVisitBindingModel model);
    }
}
