﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyContracts.BindingModels;
using TourCompanyContracts.SearchModels;
using TourCompanyContracts.ViewModels;

namespace TourCompanyContracts.StoragesContracts
{
    public interface ITourGroupStorage
    {
        List<TourGroupViewModel> GetFullList();
        List<TourGroupViewModel> GetFilteredList(TourGroupSearchModel model);
        TourGroupViewModel? GetElement(TourGroupSearchModel model);
        TourGroupViewModel? Insert(TourGroupBindingModel model);
        TourGroupViewModel? Update(TourGroupBindingModel model);
        TourGroupViewModel? Delete(TourGroupBindingModel model);
    }
}
