﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyContracts.BindingModels;
using TourCompanyContracts.SearchModels;
using TourCompanyContracts.ViewModels;

namespace TourCompanyContracts.StoragesContracts
{
    public interface ITripStorage
    {
        List<TripViewModel> GetFullList();
        List<TripViewModel> GetFilteredList(TripSearchModel model);
        TripViewModel? GetElement(TripSearchModel model);
        TripViewModel? Insert(TripBindingModel model);
        TripViewModel? Update(TripBindingModel model);
        TripViewModel? Delete(TripBindingModel model);
    }
}
