﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TourCompanyDataModels.Models;

namespace TourCompanyContracts.ViewModels
{
    public class TourViewModel
    {
        public int Id { get; set; }

        public string TourName { get; set; } = string.Empty;

        public decimal Price { get; set; }

        public int UserId { get; set; }

        public Dictionary<int, (IExecurtionModel, DateTime)> ExecurtionTours { get; set; } = new();

        public Dictionary<ITourGroupModel, decimal> TourGroups { get; set; } = new();
    }
}
