﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;
using TourCompanyDataModels.Enums;

namespace TourCompanyDataModels.Models
{
    public interface ITourGroupModel : IId
    {

        public string Number { get; }

        public TourType Type { get; }

        public int UserId { get; }
        public Dictionary<int, (ITourModel, decimal)> Tours { get; }
    }
}
