﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;

namespace TourCompanyDataModels.Models
{
    public interface ITourModel : IId
    {

        public string TourName { get; }

        public decimal Price { get; set; }

        public int UserId { get; set; }

        public Dictionary<int, (IExecurtionModel, DateTime)> Execurtions { get; }

        public Dictionary<ITourGroupModel, decimal> TourGroups { get; }
    }
}
